Bug 990549 - vmtoolsd is built with only partial RELRO
vmtoolsd is built with only partial RELRO
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: open-vm-tools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ravindra Kumar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 983271
  Show dependency treegraph
 
Reported: 2013-07-31 08:44 EDT by Richard W.M. Jones
Modified: 2013-08-31 15:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: open-vm-tools-9.2.3-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 17:32:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2013-07-31 08:44:55 EDT
Description of problem:

Daemon file compiled with only partial RELRO (should be full): /usr/bin/vmtoolsd

There is a script called rpm-chksec floating around which can
check for RELRO support in RPMs:

http://people.redhat.com/sgrubb/files/rpm-chksec

Version-Release number of selected component (if applicable):

open-vm-tools-9.2.3-8.fc20
Comment 1 Fedora Update System 2013-08-08 23:09:09 EDT
open-vm-tools-9.2.3-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/open-vm-tools-9.2.3-10.fc19
Comment 2 Ravindra Kumar 2013-08-08 23:13:35 EDT
These builds contain the fix:
Fedora 19 - http://koji.fedoraproject.org/koji/buildinfo?buildID=455341
Rawhide - http://koji.fedoraproject.org/koji/buildinfo?buildID=455340
Comment 3 Fedora Update System 2013-08-09 03:44:46 EDT
open-vm-tools-9.2.3-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/open-vm-tools-9.2.3-6.el6
Comment 4 Fedora Update System 2013-08-09 03:45:25 EDT
open-vm-tools-9.2.3-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/open-vm-tools-9.2.3-6.fc18
Comment 5 Fedora Update System 2013-08-10 00:00:12 EDT
Package open-vm-tools-9.2.3-10.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing open-vm-tools-9.2.3-10.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14571/open-vm-tools-9.2.3-10.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-18 17:32:18 EDT
open-vm-tools-9.2.3-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-08-19 17:27:58 EDT
open-vm-tools-9.2.3-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-08-31 15:17:32 EDT
open-vm-tools-9.2.3-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.